Installer - Refactor #5395

Refactor smart proxy registration to use the new foreman_api
Category: Foreman modules

Target version: 1.6.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Also make sure that HTTP timeout is set to at least 5 minutes.

Putting this on the sprint since this annoys Katello devs, Foreman + Katello usually timeouts.

Associated revisions

Revision 6¢c125adc - 05/13/2014 09:34 AM - Lukas Zapletal
fixes #5395 - smart proxy provider V2 AP| w/ timeout

History

#1 - 04/22/2014 03:32 PM - Tomas Strachota

New dynamic bindings for foreman allow setting timeouts with ease:

ApipieBindings::API.new({:timeout => 300}) # in seconds, set 0 for infinity

https://github.com/Apipie/apipie-bindings/blob/master/lib/apipie_bindings/api.rb#L 38

#2 - 04/24/2014 12:13 PM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#3 - 04/30/2014 10:16 AM - Lukas Zapletal

This one is the relevant: https:/github.com/theforeman/puppet-foreman/pull/181

#4 - 04/30/2014 10:16 AM - Lukas Zapletal
- Status changed from New to Ready For Testing

#5 - 05/13/2014 09:43 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

- translation missing: en.field_release set to 10

http://git.io/dTUEGwW
http://qgit.io/Vcu82A
http:/qit.io/XdBzuw
http:/git.io/Bu-i_g
http:/qgit.io/- W
http:/qit.io/11o0W1w
